### Type Parameters

### Hierarchy

- GmfLayer

## Index

### Properties

- dimensions
- dimensionsFilters
- editable
- id
- layerType
- metadata
- name
- ogcServer
- popupId
- style
- type

## Properties

### dimensions

dimensions: Object

- Defined in src/themes.js:101

The dimensions managed by the layer, if the value is null we will take the dimension from the application. Present only on layer in a mixed group.

### dimensionsFilters

dimensionsFilters: Object

- Defined in src/themes.js:104

The dimensions applied by filters on the layer configuration, if the value is null we will take the dimension from the application.

### editable

editable: boolean

- Defined in src/themes.js:107

### id

id: number

- Defined in src/themes.js:98

(GmfBaseNode)

### layerType

layerType: string

- Defined in src/themes.js:112

The layer type.

### metadata

metadata: GmfMetaData

- Defined in src/themes.js:99

(GmfBaseNode)

### name

name: string

- Defined in src/themes.js:100

(GmfBaseNode)

### ogcServer

ogcServer: string

- Defined in src/themes.js:110

### popupId

popupId: string

- Defined in src/themes.js:111

A popup identifier for the associate submenu.

### style

style: string

- Defined in src/themes.js:108

### type

type: string

- Defined in src/themes.js:109

WMS, WMTS or VectorTiles.

Generated using TypeDoc